Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version: 4.1.1   

Resolution: Fixed Affected version: 4.1.0

Description

Reproduction steps:

Use PostgreSQL

View projects/index

Add "Subproject of" filter

Set the operator of the "Subproject of" filter to "is" or "is not"

Set the value of the "Subproject of" filter to << my projects >> or << my bookmarks >>

Apply => An exception occurs

 projects.png 

Error message:

ActiveRecord::StatementInvalid (PG::InvalidTextRepresentation: ERROR:  invalid input syntax for in

teger: "mine" 

LINE 1: ...rojects.status <> 9) AND ((projects.parent_id IN ('mine'))) ...

                                                             ^

: SELECT "projects".* FROM "projects" WHERE (projects.status <> 9) AND ((projects.parent_id IN ('m

ine'))) ORDER BY projects.lft ASC):

app/controllers/projects_controller.rb:57:in `block (2 levels) in index'

app/controllers/projects_controller.rb:53:in `index'

lib/redmine/sudo_mode.rb:64:in `sudo_mode'

 Executing the SELECT statement without converting << my projects >>('mine') and << my bookmarks >>('bookmarks') to actual ids

is the cause of this problem.

Related issues:

Related to Redmine - Feature #29482: Query system for Projects page Closed

Associated revisions

Revision 19559 - 2020-03-04 09:26 - Go MAEDA

Projects filter "Subproject of" does not work when the given value is "My projects" or "My bookmarks" (#33083).

Patch by Mizuki ISHIKAWA.

Revision 19560 - 2020-03-04 10:35 - Go MAEDA

Merged r19559 from trunk to 4.1-stable (#33083).

Revision 19563 - 2020-03-07 08:29 - Go MAEDA

Fix a RuboCop offense Style/MultipleComparison (#33083).

Revision 19564 - 2020-03-07 08:53 - Go MAEDA

Merged r19563 from trunk to 4.1-stable (#33083).

History

#1 - 2020-03-03 09:00 - Mizuki ISHIKAWA
- File fix-33083.patch added

I have attached a patch to fix this problem.

#2 - 2020-03-03 09:15 - Go MAEDA

- Related to Feature #29482: Query system for Projects page added

#3 - 2020-03-03 09:17 - Go MAEDA

- Status changed from New to Confirmed

- Affected version set to 4.1.0

#4 - 2020-03-03 13:55 - Marius BĂLTEANU

- Target version set to 4.1.1

Looks good to me.

#5 - 2020-03-04 09:30 - Go MAEDA

- Subject changed from Filtering the parent_id field in Project by "My projects" or "My bookmarks" raises an exception to Projects filter "Subproject of"

does not work when the given value is "My projects" or "My bookmarks"

- Status changed from Confirmed to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix. Thank you for catching and fixing the issue.

#6 - 2020-03-04 10:35 - Go MAEDA

- Status changed from Resolved to Closed

- Assignee deleted (Go MAEDA)

- Resolution deleted (Fixed)

#7 - 2020-03-07 08:55 - Go MAEDA

- Assignee set to Go MAEDA

- Resolution set to Fixed

Files
